Emacs  UI; remove send-buffer?

28 Aug 2014 15:43 - John Abbott

Status: Closed Start date: 28 Aug 2014

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: EmacsUI Estimated time: 0.50 hour

Target version: CoCoA-5.1.1 Seoul14 Spent time: 0.75 hour

Description

There is an emacs UI function called cocoa5-send-buffer.  Its effect is practically identical to that of cocoa5-source-file, the only

"advantage" being that cocoa5-send-buffer does not save the buffer (as cocoa5-source-file does).  However, if the buffer contains

long lines then the *cocoa5* buffer in my emacs 24.1 goes catatonic.

I propose removing cocoa5-send-buffer (or commenting it out, or at least removing the key sequence C-c C-b for calling it).

Opinions?

Related issues:

Related to CoCoA-5 - Bug #433: EMACS UI: trouble with sending a long line Closed 06 Feb 2014

History

#1 - 28 Aug 2014 15:56 - Anna Maria Bigatti

OK for removing it (I removed it some time ago from the "CoCoA-5 menu").

Maybe you should redefine the C-c C-b binding to source-file?

#2 - 02 Sep 2014 11:02 - John Abbott

- Status changed from New to Closed

- Assignee set to John Abbott

- % Done changed from 0 to 100

Done, checked in, tested... seems fine... closing
